#
# spec file for package suselinux-adminguide_en (Version 9.1.0.3)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool perl rpm

Name:         suselinux-adminguide_en
%define my_lang en
%define my_prov_obs network_%{my_lang} suselinux-reference_%{my_lang}
%define verbose_name SuSE-Linux-Adminguide
%define my_supported_archs x86_64 %ix86 ia64
Version:      9.1.0.3
Release:      3.2
Source:       suselinux-adminguide_en-%{version}.tar.bz2
# Source1:      decomment.pl
Source2:      %{name}-%{version}.pdf
Source3:      %{name}.desktop.in
Source4:      %{name}-%{version}-desktop.tar.bz2
Provides:     %{my_prov_obs}
Obsoletes:    %{my_prov_obs}
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Group:        Documentation/SuSE
License:      Other License(s), see package
Summary:      SuSE Linux Adminguide (english)
PreReq:       /bin/rm /bin/ln
# ExclusiveArch: x86_64 %ix86 ia64
%define _defaultdocdir %{_datadir}/doc/manual
%define _docdir %{_datadir}/doc/manual
%define MYDOC %{_defaultdocdir}/%{name}
%define TEXDIR /usr/share/texmf/tex/latex/susebook
%define verbose_name SuSE-Linux-Adminguide

%description
SuSE Linux Adminguide (English).



%package pdf
Group:        Documentation/SuSE
License:      Other License(s), see package
PreReq:       /bin/rm /bin/ln
Summary:      SuSE Linux Adminguide (english)

%description pdf
SuSE Linux Adminguide (English).



%prep
%ifarch %{my_supported_archs}
%setup -c -a 0 -q -n %{name}-%{version}
%setup  -n %{name}-%{version} -D -T -a 4
# %patch -p 1 -P 2
%else
cat <<EOF >README.SuSE
There is no %name for archs != %{my_supported_archs}
EOF
%endif

%build
%ifarch %{my_supported_archs}
# lang=$(echo %{name} | sed 's:.*_\(.*\):\1:')
cp %{S:2} %{verbose_name}-%{version}.pdf
find . -name CVS -o -name '.cvsignore' | xargs rm -fr
%endif

%install
[ -d $RPM_BUILD_ROOT ] && rm -fvr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}
# Create top level .directory file
%ifarch %{my_supported_archs}
%define my_susehelp %{_datadir}/susehelp
%define my_desktopdir %{my_susehelp}/meta/%{name}
mkdir -p $RPM_BUILD_ROOT%{my_desktopdir}
id=%{name}
id=${id//_}
sed "s|@defaultdocdir@|%{_defaultdocdir}|
s|@name@|%{name}|
s|@id@|$id|" %{S:3} >$RPM_BUILD_ROOT%{my_desktopdir}/.directory
pushd desktop
for f in $(find . -name '*desktop'); do
  # dir=${f/\.\/}
  # dir=${dir%/*}
  # [ -d $dir ] && dir=/${dir} || dir=""
  # thus far, ${dir} component is not required
  sed -i "s|@PATH@|%{_defaultdocdir}/%{name}/html|
s|^Name\[.*\]\(=.*\)|Name\1\\
&|" $f
done
for f in $(find . -name '.directory'); do
  sed -i "s|@PATH@|%{_defaultdocdir}/%{name}/html|
s|^Name\[.*\]\(=.*\)|Name\1\\
&|" $f
done
cp -a . $RPM_BUILD_ROOT%{my_desktopdir}/
popd
%endif
#
%ifarch %{my_supported_archs}
#

%post pdf
if [ -d %{MYDOC} ] ; then
pushd %{MYDOC} >/dev/null
  rm -f %{verbose_name}.pdf
  ln -s %{verbose_name}-%{version}.pdf %{verbose_name}.pdf
popd >/dev/null
fi

%preun pdf
if [ -d %{MYDOC} ] ; then
  pushd %{MYDOC} >/dev/null
  rm -f %{verbose_name}.pdf
  popd >/dev/null
fi
%endif

%clean
rm -fr $RPM_BUILD_ROOT

%files pdf
%defattr(-, root, root)
%dir %{_defaultdocdir}
%ifarch %{my_supported_archs}
%doc %{verbose_name}-%{version}.pdf
%else
%doc README.SuSE
%endif

%files
%defattr(-, root, root)
%dir %{_defaultdocdir}
%ifarch %{my_supported_archs}
%doc html
%{my_desktopdir}
%dir %{_datadir}/susehelp
%dir %{_datadir}/susehelp/meta
%else
%doc README.SuSE
%endif

%changelog -n suselinux-adminguide_en
* Fri Aug 06 2004 - ke@suse.de
- Sync .desktop files with HTML documents; fix provided by Thomas
  Schraitle [#43471].
* Mon Apr 05 2004 - ke@suse.de
- Fix writing .desktop files; reported by Cornelius
  Schumacher [# 37343].
* Thu Apr 01 2004 - ke@suse.de
- Remove spurious newlines from .desktop files; reported by Cornelius
  Schumacher [# 37838].
* Mon Mar 29 2004 - ke@suse.de
- Update to 9.1.0.3: Add missing printer chapter; reported by Andreas
  Jaeger [# 37211].
* Fri Mar 19 2004 - ke@suse.de
- Update to version 9.1.0.0.
* Mon Mar 08 2004 - ke@suse.de
- Update for testing (9.0.0.90).
- Add desktop files.
- Use no-root for build.
* Tue Sep 16 2003 - ke@suse.de
- Create "pdf" subpackage [# 30911].
* Fri Sep 12 2003 - ke@suse.de
- Update 9.0.0.0x86 for beta4.
* Mon Apr 07 2003 - ke@suse.de
- Work around l2h problem with '$$' in \path statements; reported by
  Frank-Michael Fischer [# 26099].
- Use 'sed 1q' instead of 'head -1'.
* Mon Mar 10 2003 - ke@suse.de
- Update to version 8.2.0.1x86
* Mon Nov 11 2002 - ro@suse.de
- changed neededforbuild <xshared> to <x-devel-packages>
* Wed Oct 30 2002 - ro@suse.de
- changed neededforbuild <l2h> to <latex2html>
* Thu Sep 12 2002 - mls@suse.de
- added cups-libs and openssl to neededforbuild
- added centereps workaround to decomment.pl
- create x86 and common symlinks to make images.tex find the
  aux files
* Tue Sep 10 2002 - ke@suse.de
- Update to version 8.1.0.0dx86 (final).
* Wed Sep 04 2002 - ke@suse.de
- Update to version 8.1.0.0cx86 (for testing).
* Fri Aug 23 2002 - ke@suse.de
- Update to version 8.1.0.0bx86 (for testing).
* Mon Aug 19 2002 - ke@suse.de
- Enable HTML.
- Add PreReq [# 17998].
* Wed Aug 07 2002 - ke@suse.de
- Update to version 8.1.0.0ax86 (for testing).
- Use spec file from *_de package.
* Mon Jul 01 2002 - ke@suse.de
- Update to version 8.1.0.0x86 (for testing).
- HTML output disabled for the moment.
* Sat Mar 23 2002 - kukuk@suse.de
- Add requires for png icons, remove tmp files from html directory
- add l2h-pngicons to neededforbuild
* Fri Mar 22 2002 - ke@suse.de
- Hack to skip PPC related sections; reported by Chris Schlaeger
  [# 15378].
- Don't try to process a strange table for HTML.
* Fri Mar 15 2002 - ke@suse.de
- Enable HTML output; [# 13759].
* Fri Mar 08 2002 - ke@suse.de
- Apply sl-ref-sysmess.diff to make it work with the the susedoc
  upgrade.
* Mon Mar 04 2002 - ke@suse.de
- Update to 8.0.0.2.
* Tue Feb 19 2002 - ke@suse.de
- Update to 7.3.0.90.
- Make spec file compatible with the 'de' version.
* Sat Feb 02 2002 - ro@suse.de
- added libgimpprint to neededforbuild
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Tue Oct 02 2001 - ke@suse.de
- Update to version 7.3.0.5b; cf. bug report by Berthold Gunreben
  [#11556].
* Tue Sep 18 2001 - utuerk@suse.de
- inable HTML procedure: added glib,xf86 to neededforbuild
* Fri Sep 14 2001 - adrian@suse.de
- move susehelp conf file to susehelp
* Thu Sep 13 2001 - ke@suse.de
- Update to version 7.3.0.5a (final).
- Don't install *.eps files.
- For the moment disable HTML procedure.
* Fri Jul 20 2001 - kukuk@suse.de
- changed neededforbuild <gs_fonto> to <ghostscript-fonts-other>
- changed neededforbuild <gs_fonts> to <ghostscript-fonts-std>
- changed neededforbuild <gs_lib> to <ghostscript-library>
- changed neededforbuild <gs_serv> to <ghostscript-serv>
- changed neededforbuild <gs_x11> to <ghostscript-x11>
* Fri Jun 01 2001 - mac@suse.de
- Released IA64 (7.2.0.5)
* Tue May 08 2001 - ke@suse.de
- New package: version 7.2.0.4a.
